---
title: XMLHttpRequest.openRequest()
slug: Web/API/XMLHttpRequest/openRequest
tags:
  - API
  - DOM
  - Firefox
  - Gecko
  - Method
  - Non-standard
  - XHR
  - XMLHttpRequest
  - openRequest
---
<div>{{APIRef("XMLHttpRequest")}}{{non-standard_header}}</div>
<p><span class="seoSummary">This Mozilla-specific method is available only from within privileged code, and is only called from a C++ context in order to initialize an <code>XMLHttpRequest</code>.</span> To initialize a request from JavaScript code, use the standard {{domxref("XMLHttpRequest.open", "open()")}} method instead.</p>
